
Redmine - Feature #4699

Export PDF in Chinese and Japanese language is get well in redmine 0.8.7

2010-01-31 01:01 - chaninan jitonnom

Status: Closed Start date: 2010-01-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Is redmine0.8.7 export correctly PDF file in Chinese and Japanese language?

and if I want to export in Thai language too , so I need to create file like 2 files are chinese.rb and japanese.rb that right?

and what is the meaning of these characters like

Big5_widths={' '=>250,'!'=>250,'"'=>408,'#'=>668,''=>490,'%'=>875,'&'=>698,'\''=>250,

'('=>240,')'=>240,'*'=>417,'+'=>667,','=>250,'-'=>313,'.'=>250,'/'=>520,'0'=>500,'1'=>500,

'2'=>500,'3'=>500,'4'=>500,'5'=>500,'6'=>500,'7'=>500,'8'=>500,'9'=>500,':'=>250,''=>250,

'<'=>667,'='=>667,'>'=>667,'?'=>396,'@'=>921,'A'=>677,'B'=>615,'C'=>719,'D'=>760,'E'=>625,

'F'=>552,'G'=>771,'H'=>802,'I'=>354,'J'=>354,'K'=>781,'L'=>604,'M'=>927,'N'=>750,'O'=>823,

'P'=>563,'Q'=>823,'R'=>729,'S'=>542,'T'=>698,'U'=>771,'V'=>729,'W'=>948,'X'=>771,'Y'=>677,

'Z'=>635,'['=>344,'\\'=>520,']'=>344,'^'=>469,'_'=>500,'`'=>250,'a'=>469,'b'=>521,'c'=>427,

'd'=>521,'e'=>438,'f'=>271,'g'=>469,'h'=>531,'i'=>250,'j'=>250,'k'=>458,'l'=>240,'m'=>802,

'n'=>531,'o'=>500,'p'=>521,'q'=>521,'r'=>365,'s'=>333,'t'=>292,'u'=>521,'v'=>458,'w'=>677,

'x'=>479,'y'=>458,'z'=>427,'{'=>480,'|'=>496,'end'=>480,'~'=>667}

Related issues:

Related to Redmine - Defect #6505: PDF export broken with Japanese (Gannt and... Closed 2010-09-27

Is duplicate of Redmine - Defect #61: Broken character encoding in pdf export Closed

History

#1 - 2010-01-31 01:02 - chaninan jitonnom

Example of Thai language

ทดสอบภาษาไทย

#2 - 2011-03-21 06:34 - Toshi MARUYAMA

- Category changed from Issues to PDF export

- Status changed from New to Closed

- Assignee deleted (Thomas Lecavelier)

- Resolution changed from Wont fix to Duplicate
